<div class="contenedor mt-5">
  <div *ngIf="equipoHeroe == null || equipoHeroe.length === 0">
    <h2 class="text-center mt-4 p-3">
      No tienes Ningun SuperHeroe En tu Equipo!!!
    </h2>
  </div>

  <div
    *ngIf="!(equipoHeroe == null || equipoHeroe.length === 0)"
    class="container"
  >
    <div class="row">
      <div class="col-md-6">
        <div class="text-center">
          <h2 class="mb-3">Tu Equipo</h2>
          <p>Peso Promedio del Equipo: {{ peso }}kg</p>
          <p>Altura Promedio del Equipo: {{ altura }}cm</p>
        </div>
      </div>
      <div class="col-md-6">
        <div class="text-center">
          <h2 class="mb-3">Estadisticas de Poder</h2>

          <div class="progress mb-2" style="height: 20px">
            <div
              class="progress-bar bg-info progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Intelligence }}%"
              role="progressbar"
              aria-valuenow="100"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Inteligencia {{ Intelligence }}%
            </div>
          </div>

          <div class="progress mb-2" style="height: 20px">
            <div
              class="progress-bar bg-secondary progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Strength }}%"
              role="progressbar"
              aria-valuenow="75"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Fuerza{{ Strength }}%
            </div>
          </div>

          <div class="progress mb-2" style="height: 20px">
            <div
              class="progress-bar bg-success progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Speed }}%"
              role="progressbar"
              aria-valuenow="75"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Velocidad{{ Speed }}%
            </div>
          </div>

          <div class="progress mb-2" style="height: 20px">
            <div
              class="progress-bar bg-warning progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Durability }}%"
              role="progressbar"
              aria-valuenow="75"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Durabilidad{{ Durability }}%
            </div>
          </div>

          <div class="progress mb-2" style="height: 20px">
            <div
              class="progress-bar bg-danger progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Power }}%"
              role="progressbar"
              aria-valuenow="75"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Energía{{ Power }}%
            </div>
          </div>

          <div class="progress" style="height: 20px">
            <div
              class="progress-bar bg-dark progress-bar-striped progress-bar-animated"
              style="width: 
              {{ Combat }}%"
              role="progressbar"
              aria-valuenow="75"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              Combate{{ Combat }}%
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="container miequipo d-flex justify-content-center">
    <div class="row">
      <div
        *ngFor="let hero of equipoHeroe"
        class="card-group"
        style="width: 17rem"
      >
        <div class="card text-white bg-dark mb-3 card__father">
          <div class="TwistCard">
            <div
              class="card__front"
              style="background-image: url({{ hero.image.url }})"
            >
              <div class="bg"></div>
              <div class="card-body body__card_front">
                <h2 class="card-title">{{ hero.name }}</h2>
              </div>
            </div>
            <div class="card__back">
              <div class="card-body body__card_back">
                <h3 class="powerTitle">Powerstats</h3>

                <p>
                  Inteligencia:
                  <span class="badge bg-primary">{{
                    hero.powerstats.intelligence
                  }}</span>
                </p>
                <p>
                  Fuerza:
                  <span class="badge bg-secondary">{{
                    hero.powerstats.strength
                  }}</span>
                </p>
                <p>
                  Velocidad:
                  <span class="badge bg-success">{{
                    hero.powerstats.speed
                  }}</span>
                </p>
                <p>
                  Durabilidad:
                  <span class="badge bg-warning text-dark">{{
                    hero.powerstats.durability
                  }}</span>
                </p>
                <p>
                  Energía:
                  <span class="badge bg-danger">{{
                    hero.powerstats.power
                  }}</span>
                </p>
                <p>
                  Combate:
                  <span class="badge bg-dark">{{
                    hero.powerstats.combat
                  }}</span>
                </p>

                <div
                  class="btn-group"
                  role="group"
                  aria-label="Basic mixed styles example"
                >
                  <button
                    type="button"
                    class="btn btn-warning"
                    (click)="info(hero.id)"
                  >
                    Info
                  </button>
                  <button
                    type="button"
                    class="btn btn-danger"
                    (click)="delete(hero)"
                  >
                    Eliminar
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div *ngIf="heroes == null || heroes.length === 0">
  <app-spinner></app-spinner>
</div>

<!-- heroes buscados -->
<div class="container mt-5">
  <div class="row d-flex justify-content-center">
    <div *ngFor="let hero of heroes" class="card-group" style="width: 17rem">
      <div class="card text-white bg-dark mb-3 card__father">
        <div class="TwistCard">
          <div
            class="card__front"
            style="background-image: url({{ hero.image.url }})"
          >
            <div class="bg"></div>
            <div class="card-body body__card_front">
              <h2 class="card-title">{{ hero.name }}</h2>
            </div>
          </div>
          <div class="card__back">
            <div class="card-body body__card_back">
              <div class="powerstats">
                <h3 class="powerTitle">Powerstats</h3>

                <p>
                  Inteligencia:
                  <span class="badge bg-primary">{{
                    hero.powerstats.intelligence
                  }}</span>
                </p>
                <p>
                  Fuerza:
                  <span class="badge bg-secondary">{{
                    hero.powerstats.strength
                  }}</span>
                </p>
                <p>
                  Velocidad:
                  <span class="badge bg-success">{{
                    hero.powerstats.speed
                  }}</span>
                </p>
                <p>
                  Durabilidad:
                  <span class="badge bg-warning text-dark">{{
                    hero.powerstats.durability
                  }}</span>
                </p>
                <p>
                  Energía:
                  <span class="badge bg-danger">{{
                    hero.powerstats.power
                  }}</span>
                </p>
                <p>
                  Combate:
                  <span class="badge bg-dark">{{
                    hero.powerstats.combat
                  }}</span>
                </p>
              </div>

              <div
                class="btn-group"
                role="group"
                aria-label="Basic mixed styles example"
              >
                <button
                  type="button"
                  class="btn btn-warning"
                  (click)="info(hero.id)"
                >
                  Info
                </button>
                <button
                  type="button"
                  class="btn btn-success"
                  (click)="add(hero)"
                >
                  Agregar
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
